[users] perl-PDF-API2 dependencies

Michael Mansour mic at npgx.com.au
Thu Nov 15 03:51:30 CET 2007


Hi,

I'm trying to install the perl-PDF-API2 RPM on SL5 (el5) and get these
dependency problems:

# yum --enablerepo=dag -y install perl-PDF-API2.noarch
Loading "kernel-module" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for perl-PDF-API2 to pack into transaction set.
perl-PDF-API2-0.65-1.el5. 100% |=========================|  51 kB    00:26
---> Package perl-PDF-API2.noarch 0:0.65-1.el5.rf set to be updated
--> Running transaction check
--> Processing Dependency: perl(Win32) for package: perl-PDF-API2
--> Processing Dependency: perl(Win32::Registry) for package: perl-PDF-API2
--> Processing Dependency: perl(Win32::TieRegistry) for package: perl-PDF-API2
--> Processing Dependency: perl(the) for package: perl-PDF-API2
--> Processing Dependency: perl(XML::Parser::Expat) for package: perl-PDF-API2
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for perl-XML-Parser to pack into transaction set.
perl-XML-Parser-2.34-6.1. 100% |=========================| 9.4 kB    00:05
---> Package perl-XML-Parser.x86_64 0:2.34-6.1.2.2.1 set to be updated
--> Running transaction check
--> Processing Dependency: perl(Win32) for package: perl-PDF-API2
--> Processing Dependency: perl(Win32::Registry) for package: perl-PDF-API2
--> Processing Dependency: perl(Win32::TieRegistry) for package: perl-PDF-API2
--> Processing Dependency: perl(the) for package: perl-PDF-API2
--> Finished Dependency Resolution
Beginning Kernel Module Plugin
Finished Kernel Module Plugin
Error: Missing Dependency: perl(Win32) is needed by package perl-PDF-API2
Error: Missing Dependency: perl(Win32::Registry) is needed by package
perl-PDF-API2
Error: Missing Dependency: perl(Win32::TieRegistry) is needed by package
perl-PDF-API2
Error: Missing Dependency: perl(the) is needed by package perl-PDF-API2

Any ideas how / where I can get the other RPM's? 

Thanks.

Michael.




More information about the users mailing list